#!/bin/bash
echo "Please provide the output filename w/out extension:"
read aname;
bname=$aname'.txt';
cname=$aname'_nohead.txt';
dname=$aname'_nohead_parsed.txt';
awk 'NR>1' $bname > $cname

perl 'parsenew_June1_onestudy.pl' $cname  > $dname

# assign some values to the arguments
parsedresults=$dname;
echo "Please provide the filename containing the columns of snps"
read snplist;
echo "Size of each snp partition for single output file"
read chunksize1;
echo "Number of Snp Chunks used for the single output file"
read num1;
echo "Please provide the number of top pairs to be tested with GLM"
read nbindex;
echo "Please provide the phenotype filename used for GenABEL"
read pheno;
echo "Please provide the .raw genotype filename used for GenABEL"
read geno;



# export them as env. var.
R --vanilla --args "$dname" "$snplist" "$num1" "$num1" "$pheno" "$geno" "$chunksize1" "$chunksize1" "$nbindex" < Rscript.R
 