library(GenABEL)
#load.gwaa.data(pheno='german_uk_merge_Feb03_pheno_sex2to0_header_9rem.dat',geno='german_uk_testingmerge_Feb03_genable.raw')->Inputmatrix
#load.gwaa.data(pheno='german_uk_merge_Feb03_pheno_sex2to0_header_9rem.dat',geno='german_uk_testingmerge_Feb03_adjusted.raw')->Inputmatrix
#load.gwaa.data(pheno='Mars03_BIGMERGE_FILE.pheno',geno='Mars03_BIGMERGE_FILE_top1000_adj.raw')->Inputmatrix
load.gwaa.data(pheno=phenofilename,geno=genofilename)->Inputmatrix


#load(file='ComparingPvals.rda')



cases <- which(Inputmatrix@phdata$pheno==2);
controls <- which(Inputmatrix@phdata$pheno==1);
nsubjects<-Inputmatrix@gtdata@nids;
pheno_all<-array(0,c(nsubjects,1))
pheno_all[cases]=1;
results_t_glm<-array(0,c(nb_index,3))
results_t_dc<-array(0,c(nb_index,1))


#read.table(file='Results_Order_March20th_MS.txt',sep='\t',header=TRUE,nrows=nb_index)->Results_tony_order
for (index in 1:nb_index)
{
snp1name<-Results_tony_order[index,1]
snp2name<-Results_tony_order[index,2]
#snp1<-which(Inputmatrix@gtdata@snpnames==snp1name)+1;
#snp2<-which(Inputmatrix@gtdata@snpnames==snp2name)+1;
snp1<-which(Inputmatrix@gtdata@snpnames==snp1name);
snp2<-which(Inputmatrix@gtdata@snpnames==snp2name);

snp1_all<-as.double.snp.data(Inputmatrix@gtdata[,snp1])
snp2_all<-as.double.snp.data(Inputmatrix@gtdata[,snp2])


results_t_dc[index]<-cor(snp1_all[cases],snp2_all[cases],use='pairwise.complete.obs',method='pearson')-cor(snp1_all[controls],snp2_all[controls],use='pairwise.complete.obs',method='pearson');
results_t_glm[index,]<-anova(glm(pheno_all~(snp1_all*snp2_all),family="binomial"),test="Chi")[[5]][c(2,3,4)]
cat('.')

}

