library(GenABEL)
args = commandArgs(TRUE)
bname=args[1]
gpuindex=args[2]
chunksize=args[3]
pval_thres=args[4]
print(bname)

compareVersion(packageDescription("GenABEL")["Version"]$Version,"1.6-7")->testversion
if(testversion==0)
{
convert.snp.ped(ped=paste(bname,'_recode.ped',sep=''),map=paste(bname,'_recode_adj.map',sep=''),outfile=paste(bname,'_recode_GA.raw',sep=''),mapHasHeaderLine=TRUE)
}else if(testversion<0)
{
convert.snp.ped(ped=paste(bname,'_recode.ped',sep=''),map=paste(bname,'_recode_adj.map',sep=''),outfile=paste(bname,'_recode_GA.raw',sep=''))
}else
{
stop("Error: Unsupported GenABEL version.  Last supported version 1.6-7") 
}

source('Calling_GPU.R')
