args = commandArgs(TRUE)

parsedfilename=args[1]
snplistfilename=args[2]
num_chunk1=as.numeric(args[3]);
num_chunk2=as.numeric(args[4]);
phenofilename=args[5]
genofilename=args[6]
chunksize1=as.numeric(args[7])
chunksize2=as.numeric(args[8])
nb_index=as.numeric(args[9])
source('PostProcessingFunction.R')  #for one file.where there are no 58 57 partitions being tested

read.table(file=parsedfilename,sep='\t')->Set1
read.table(file=snplistfilename,sep='\t',stringsAsFactors=FALSE)->name_set1


PostProcessing(Set1,name_set1,name_set1,num_chunk1,num_chunk2)->ResultsSet1_Order
Results_tony_order<-ResultsSet1_Order[order(ResultsSet1_Order$PGer),]
colnames(Results_tony_order)<-colnames(ResultsSet1_Order)
write.table(Results_tony_order,file='OrderedResults.txt',sep='\t',quote=FALSE,row.names=FALSE)

source('PickUp.R')

ResultsSet1_All<-cbind(Results_tony_order[1:nb_index,],results_t_dc,results_t_glm)
colnames(ResultsSet1_All)<-c(colnames(Results_tony_order),'Valid_DC','PSnp1_glm','PSnp2_glm','PSnp1Snp2_glm')
write.table(ResultsSet1_All,file=paste('GLMfitsTop',nb_index,'Results.txt',sep=''),sep='\t',quote=FALSE,row.names=FALSE)
